#include "stdafx.h"
#include "NeMessenger.h"
#include "BaseDlgStyleOne.h"

IMPLEMENT_DYNAMIC(CBaseDlgStyleOne, CDialog)

CBaseDlgStyleOne::CBaseDlgStyleOne(CWnd* pParent /*=NULL*/)
: CDialog(CBaseDlgStyleOne::IDD, pParent)
{
}

CBaseDlgStyleOne::CBaseDlgStyleOne(UINT nIDTemplate, CWnd* pParent /*=NULL*/)
: CDialog(nIDTemplate, pParent)
{
}

CBaseDlgStyleOne::~CBaseDlgStyleOne()
{
}

BEGIN_MESSAGE_MAP(CBaseDlgStyleOne, CDialog)
END_MESSAGE_MAP()

BOOL CBaseDlgStyleOne::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_ESCAPE)
		{
			return TRUE;
		}
		else if (pMsg->wParam == VK_RETURN)
		{
			return TRUE;
		}
	}
	else if(pMsg->message == WM_CLOSE)
	{
		OnOK();
		return TRUE;
	}

	return __super::PreTranslateMessage(pMsg);
}

BOOL CBaseDlgStyleOne::OnInitDialog()
{
	CDialog::OnInitDialog();

	InitSkin();

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CBaseDlgStyleOne::InitSkin()
{
	TCHAR szStylesPath[_MAX_PATH];

	VERIFY(::GetModuleFileName(
		AfxGetApp()->m_hInstance, szStylesPath, _MAX_PATH));        

	CString strStylesPath = szStylesPath;
	int nIndex  = strStylesPath.ReverseFind(_T('\\'));
	if (nIndex > 0) 
	{
		strStylesPath = strStylesPath.Left(nIndex);
	}
	else 
	{
		strStylesPath.Empty();
	}
	strStylesPath += _T("\\IMAGES\\style\\");

	CXTPSkinManager* pSkinManager = XTPSkinManager();

	// LosdSkin()   ׸    .
	//  ׸ ϱ ؼ SetWindowsTheme  ̿ؾ .
	pSkinManager->ApplyWindow(GetSafeHwnd());
	CXTPSkinManagerSchema* pSchema = pSkinManager->CreateSchema(GetAppImgDir()+_T("\\style\\Ntalk.cjstyles"), _T("Base1.ini"));
	pSkinManager->SetWindowTheme(GetSafeHwnd(), pSchema);
	CMDTARGET_RELEASE(pSchema);
}

